#version 330 core
//#pragma optionNV(unroll all)

// shadow map is just a texture
uniform sampler2DShadow shadow_map;

// passed on from VS
in vec4 SM_tex_coord;

// final fragment color
out vec4 fragColor;

void main(void) {
	// read depth value from shadow map
	float depth = textureProj(shadow_map, SM_tex_coord);
	// perform depth comparison
	float outsideShadow = (depth < SM_tex_coord.z) ? 0.0 : 1.0;

	fragColor = vec4(outsideShadow, outsideShadow, outsideShadow, 1.0);	
}
